Skip to main content
POST
/
forms
Create a form
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/forms \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "owner_id": "<id>",
  "type": "td1",
  "effective_date": "2026-01-01"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/forms"

payload = {
"owner_id": "<id>",
"type": "td1",
"effective_date": "2026-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner_id: '<id>', type: 'td1', effective_date: '2026-01-01'})
};

fetch('https://sandbox.nmbr.co/services/payroll/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "form",
  "data": {
    "owner": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "form_batch": null,
    "stage": "original",
    "note": null,
    "type": "td1",
    "effective_date": "2026-01-01",
    "version_year": 2026,
    "version_month": "january",
    "validation_error_count": 0,
    "is_editable": true,
    "line_1_basic_personal_amount": null,
    "line_2_infirm_children_caregiver_amount": null,
    "line_3_age_amount": null,
    "line_4_pension_income_amount": null,
    "line_5_tuition": null,
    "line_6_disability_amount": null,
    "line_7_spouse_or_common_law_partner_amount": null,
    "line_8_eligible_dependent_amount": null,
    "line_9_infirm_dependent_caregiver_amount": null,
    "line_10_dependent_caregiver_amount": null,
    "line_11_spouse_or_common_law_transfer_amount": null,
    "line_12_dependent_transfer_amount": null,
    "line_13_total_claim_amount": null,
    "more_than_one_employer_or_payer": null,
    "total_income_less_than_total_claim_amount": null,
    "ninety_percent_world_income_taxable_income": null,
    "prescribed_zone_deduction": null,
    "additional_tax_deduction": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/forms/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
owner_id
string
required
type
enum<string>
required

The type of form (e.g. T4, ROE, RL-1).

Available options:
rl1,
roe,
t4,
t4a,
td1,
td1ab,
td1bc,
td1mb,
td1nb,
td1nl,
td1ns,
td1nt,
td1nu,
td1on,
td1pe,
td1sk,
td1x,
td1yt,
tp_1015_3_v,
tp_1015_r_13_v
form_batch_id
string
effective_date
string<date>

The effective date used to determine the form variant (e.g. the T4 tax year).

Determines the form variant. Defaults to the current date if not provided.

note
string | null

An optional note for this form.

Maximum string length: 65000
line_1_basic_personal_amount
number<decimal>
Required range: x >= 0
line_2_infirm_children_caregiver_amount
number<decimal>
Required range: x >= 0
line_3_age_amount
number<decimal>
Required range: x >= 0
line_4_pension_income_amount
number<decimal>
Required range: x >= 0
line_5_tuition
number<decimal>
Required range: x >= 0
line_6_disability_amount
number<decimal>
Required range: x >= 0
line_7_spouse_or_common_law_partner_amount
number<decimal>
Required range: x >= 0
line_8_eligible_dependent_amount
number<decimal>
Required range: x >= 0
line_9_infirm_dependent_caregiver_amount
number<decimal>
Required range: x >= 0
line_10_dependent_caregiver_amount
number<decimal>
Required range: x >= 0
line_11_spouse_or_common_law_transfer_amount
number<decimal>
Required range: x >= 0
line_12_dependent_transfer_amount
number<decimal>
Required range: x >= 0
line_13_total_claim_amount
number<decimal>
Required range: x >= 0
more_than_one_employer_or_payer
boolean
total_income_less_than_total_claim_amount
boolean
ninety_percent_world_income_taxable_income
boolean
prescribed_zone_deduction
number<decimal>
Required range: x >= 0
additional_tax_deduction
number<decimal>
Required range: x >= 0

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("form").

data
Form · object